/**
 * @file TLC5947_Test.c
 *
 * for ATmega48/88/168/328
 * Don't forget to enter: "F_CPU=(your frequency in Hz)UL" to symbols!
 *
 * @date 27.04.2015
 * @author Robert Steigemann
 */ 

#include <avr/io.h>
#include <util/delay.h>

#include "TLC5947.h"

int main(void)
{
    tlc5947_init();						// initialize library
	
	uint8_t i;							// index variables
	uint16_t j;
	
	while(1)							// main loop
    {
        for(i=0;i<24;i++)				// for every channel
		{
			for (j=0;j<4096;j++)		// from dark to bright
			{
				if (i==0)				// dim last LED off
				{
					tlc5947_set(0, 23, 4095-j);
				} 
				else
				{
					tlc5947_set(0, i-1, 4095-j);
				}
				
				tlc5947_set(0, i, j);	// dim LED on
				
				tlc5947_update();		// transfer values to TLC5947 driver
				
				_delay_us(1000);		// slow it down to make it visible
			}
		}
    } // while
} // main